/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>
#include <stdlib.h>

#include "list.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "calc.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys-p wge\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  affine *afn;
  list *s;
  vector *a;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  s = cmd_wge(afn);
  
  a = v_new(m_dim(afn->cartan));
  calc_alcove(a, s, afn);
  v_sub(a, a, afn->rho);
  
  print_vec(a, 0);
  
  exit(0);
}
