/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>
#include <stdlib.h>

#include "alloc.h"
#include "list.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "calc.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys-p weight\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  affine *afn;
  list *e;
  vector *a;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  a = cmd_weight(1, afn);
  
  e = l_new();
  weight_to_exp(e, a, NULL, afn);
  
  print_intlist(e, 0);
  
  afn_free(afn);
  v_free(a);
  l_free(e);
  
  memory_report;
  
  exit(0);
}
