#ifndef _EFHTREE_H
#define _EFHTREE_H

#include "list.h"
#include "claim.h"

typedef struct _efh_tree {
  int value;
  struct _efh_tree *left;
  struct _efh_tree *right;
  int length;
  unsigned char string[1];
} efh_tree;

#define efh_value(t)	((t)->value)
#define efh_left(t)	((t)->left)
#define efh_right(t)	((t)->right)
#define efh_length(t)	((t)->length)
#define efh_elem(t,i)	((t)->string[i])

efh_tree *efh_new(list *efh);
void efh_free(efh_tree *t);

int efh_insert(efh_tree *t, list *efh, efh_tree **node);

#endif
