#ifndef _JANZLIB_H
#define _JANZLIB_H

#include "matrix.h"
#include "affine.h"
#include "tree.h"
#include "weight.h"

typedef struct _janzdata {
  weight_set *jsum;
  list *js_list;
  list *nd_list;
  weight_set *lsum;
  weight_set *mults;
} janzdata;

#define jd_jsum(jd)		((jd)->jsum)
#define jd_jslist(jd)		((jd)->js_list)
#define jd_ndlist(jd)		((jd)->nd_list)
#define jd_lsum(jd)		((jd)->lsum)
#define jd_mults(jd)		((jd)->mults)

janzdata *jd_new(weight_set *sum, list *js_list, list *nd_list);
void jd_free(janzdata *jd);

void init_janzdata(treebase *tb);

weight_set *jantzen_sum(vector *lambda, affine *afn);

#endif
