/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>

#include "alloc.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "weight.h"
#include "calc.h"
#include "janzlib.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys-p weight\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  affine *afn;
  vector *lambda;
  weight_set *sum;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  lambda = cmd_weight(1, afn);
  
  sum = jantzen_sum(lambda, afn);
  print_weight_set(sum, 1, -1);
  
  v_free(lambda);
  ws_free(sum);
  afn_free(afn);
  memory_report;
  
  exit(0);
}
