/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>

#include "alloc.h"
#include "matrix.h"
#include "file.h"
#include "output.h"
#include "rank.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s file.mat\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  binfile *bf;
  char s[255];
  int n, p, dim;
  vector *v;
  char *name;
  
  cmd_init(ac, av);
  name = cmd_file(1);
  
  if ((bf = bf_openread(name)) == NULL)
    cmd_error("Bad matrix file `%s'\n", name);
  
  get_string(bf, s);
  puts(s);
  n = atoi(s + 1);
  
  p = get_uint(bf);
  printf("p = %d\n", p);
  
  v = v_new(n);
  get_uvec(bf, v);
  print_vec(v, 0);
  get_uvec(bf, v);
  print_vec(v, 0);
  
  dim = get_uint(bf);
  printf("dim = %d\n", dim);
  
  v_free(v);
  bf_close(bf);
  
  memory_report;
  
  exit(0);
}
