/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>
#include <stdlib.h>

#include "alloc.h"
#include "list.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "calc.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys wge\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  list *s;
  affine *afn;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  s = cmd_wge(afn);  /* reduction is done here. */
  print_intlist(s, 0);
  
  afn_free(afn);
  l_free(s);
  memory_report;
  
  exit(0);
}
