/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>

#include "alloc.h"
#include "list.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  list *plusroots;
  int i;
  affine *afn;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  
  plusroots = afn->positive_roots;
  for (i = 0; i < l_length(plusroots); i++)
    print_vec((vector *) l_element(plusroots, i), 0);
  
  afn_free(afn);
  memory_report;
  
  exit(0);
}
