#ifndef _RATIONAL_H
#define _RATIONAL_H

typedef struct {
  int p, q;
} small_rat;

int i_gcd(int x, int y);
small_rat r_new(int p, int q);

small_rat r_add(small_rat a, small_rat b);
small_rat r_sub(small_rat a, small_rat b);
small_rat r_mult(small_rat a, small_rat b);
small_rat r_div(small_rat a, small_rat b);

small_rat r_iadd(int x, small_rat a);
small_rat r_isub(int x, small_rat a);
small_rat r_imult(int x, small_rat a);
small_rat r_idiv(small_rat a, int x);

int r_eq(small_rat a, small_rat b);
int r_lt(small_rat a, small_rat b);
int r_leq(small_rat a, small_rat b);
#define r_neq(a, b)	(! r_eq(a, b))
#define r_geq(a, b)   (r_leq(b, a))
#define r_gt(a, b)    (r_lt(b, a))

#endif
