#ifndef _REDULIB2_H
#define _REDULIB2_H

#include "matrix.h"
#include "affine.h"

#define REDUCE_MODULO	9699690
/*  ==  2 * 3 * 5 * 7 * 11 * 13 * 17 * 19  */

#define EFH_TYPE_MASK	3
#define EFH_TYPE_E	0
#define EFH_TYPE_F	1
#define EFH_TYPE_H	2

#define efh_is_e(x)	(((x) & EFH_TYPE_MASK) == 0)
#define efh_is_f(x)	(((x) & EFH_TYPE_F) != 0)
#define efh_is_h(x)	(((x) & EFH_TYPE_H) != 0)
#define efh_type(x)	((x) & EFH_TYPE_MASK)
#define efh_i(x)	((x) >> 2)

#define efh_mk(t,i)	(((i) << 2) | (t))
#define efh_mk_e(i)	(((i) << 2) | EFH_TYPE_E)
#define efh_mk_f(i)	(((i) << 2) | EFH_TYPE_F)
#define efh_mk_h(i)	(((i) << 2) | EFH_TYPE_H)


void init_redulib2(vector *lambda, affine *afn);
void free_redulib2();

int reduce2(vector *sum1, vector *sum2);

#endif
