/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdarg.h>
#include <signal.h>
#include "signals.h"

int term_signal = 0;
int hup_signal = 0;

void term_handler(int sig)
{
  term_signal = 1;
  signal(sig, term_handler);
}

void hup_handler(int sig)
{
  hup_signal = 1;
  signal(sig, hup_handler);
}

void init_signal_handler()
{
  signal(SIGHUP,  hup_handler);

  signal(SIGINT,  term_handler);
  signal(SIGQUIT, term_handler);
  signal(SIGTERM, term_handler);
}
