/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>

#include "affine.h"
#include "matrix.h"
#include "output.h"
#include "alloc.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys weight1 - weight2\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  vector *lambda, *mu;
  affine *afn;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  lambda = cmd_weight(0, afn);
  cmd_dash(0);
  mu = cmd_weight(0, afn);
  
  v_sub(lambda, lambda, mu);
  m_multvec(mu, afn->atcartan, lambda);
  v_div(mu, mu, afn->dcartan);
  
  print_vec(mu, 0);
  
  v_free(lambda);
  v_free(mu);
  afn_free(afn);
  memory_report;
  
  exit(0);
}
