#ifndef _WEIGHT_SET_H
#define _WEIGHT_SET_H

#include "matrix.h"
#include "affine.h"

typedef struct _weight_set {
  vector *weight;
  int multiplicity;
  struct _weight_set *left;
  struct _weight_set *right;
} weight_set;

#define ws_weight(ws)		((ws)->weight)
#define ws_mult(ws)		((ws)->multiplicity)
#define ws_left(ws)		((ws)->left)
#define ws_right(ws)		((ws)->right)

weight_set *ws_new(vector *w);
void ws_free_struc(weight_set *ws, int free_weights);
#define ws_free(ws)	(ws_free_struc(ws, 1))

weight_set *ws_find(weight_set *ws, vector *w);
weight_set *ws_insert(weight_set *ws, vector *w);

void ws_add_weight_mult(weight_set *ws, vector *w, int m);
void ws_add_multiple(weight_set *dst, int m, weight_set *src);

int weight_dot(vector *w1, vector *w2, affine *afn);

weight_set *calc_weights_below(vector *high_weight, affine *afn);
weight_set *calc_weight_orbit(vector *w, affine *afn);

void ws_append_to_list(list *wslist, weight_set *ws);
list *ws_to_list(weight_set *ws);

list *generate_sums(vector *a, affine *afn);
void free_sums(list *sums);

#endif
